Module org.jfree.chart3d
Package org.jfree.chart3d.graphics3d

# Class Offset3D

java.lang.Object
org.jfree.chart3d.graphics3d.Offset3D

All Implemented Interfaces:
  `Serializable`

public final class Offset3D extends Object implements Serializable
An offset `(dx, dy, dz)` in three dimensional space. Instances of this class are immutable.
NOTE: This class is serializable, but the serialization format is subject to change in future releases and should not be relied upon for persisting instances of this class.

Since:
  1.3
See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final Offset3D`
`ZERO_OFFSET`
Zero offset.

## Constructor Summary

Constructors
Constructor
Description
`Offset3D()`
Default constructor (`(0, 0)`).
`Offset3D(double dx, double dy, double dz)`
Creates a new instance.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
Tests this instance for equality with an arbitrary object.
`double`
`getDX()`
Returns the x-offset.
`double`
`getDY()`
Returns the y-offset.
`double`
`getDZ()`
Returns the z-offset.
`int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### ZERO_OFFSET

public static final Offset3D ZERO_OFFSET
Zero offset.

## Constructor Details

### Offset3D

public Offset3D()
Default constructor (`(0, 0)`).

### Offset3D

public Offset3D(double dx, double dy, double dz)
Creates a new instance.

Parameters:
  `dx` - the x-offset.
  `dy` - the y-offset.
  `dz` - the z-offset.

## Method Details

### getDX

public double getDX()
Returns the x-offset.

Returns:
  The x-offset.

### getDY

public double getDY()
Returns the y-offset.

Returns:
  The y-offset.

### getDZ

public double getDZ()
Returns the z-offset.

Returns:
  The z-offset.

### equals

public boolean equals(Object obj)
Tests this instance for equality with an arbitrary object.

Overrides:
  `equals` in class `Object`
Parameters:
  `obj` - the object (`null` permitted).
Returns:
  A boolean.

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`